{
  "consul": {
    "enabled": true,
    "url": "http://consul:8500",
    "service": "u.notification-service",
    "address": "u.notification-service",
    "port": "5500",
    "pingEnabled": true,
    "pingEndpoint": "api/notification/health",
    "pingInterval": 5,
    "removeAfterInterval": 10,
    "requestRetries": 3
  },
  "fabio": {
    "enabled": true,
    "url": "http://fabio:9999",
    "service": "u.notification-service",
    "requestRetries": 3
  },
  "rabbit": {
    "SubscriptionClientName": "notification",
    "EventBusConnection": "docker.for.win.localhost",
    "EventBusRetryCount": 5,
    "EventBusUserName": "guest",
    "EventBusPassword": "guest"
  },
  "signalr":
  {
    "redisConnectionString": "redis:6379"
  },
  "redis":
  {
    "host": "redis",
    "port": "6379",
    "serviceName": "notification-service:",
    "resolveDns": true,
    "abortOnConnectFail": false,
    "connectRetry": 10,
    "allowAdmin": true
  },
  "jwt": {
    "secretKey": "super-secret-ubiquitous-key-!",
    "expiryMinutes": 30,
    "issuer": "identity-service",
    "validateLifetime": true
  }
}
